> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campaigncleaner.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign PDF Analysis

> The **get_campaign_pdf_analysis** API allows you to retrieve the analysis report for any of your Saved Campaigns in Campaign Cleaner.
#### Header:
**X-CC-API-Key**: Your API Key
#### Request Body:
**campaign**:
- **id**: The campaign id that will be used in other API calls.
#### Response:
An Application/pdf stream.



## OpenAPI

````yaml POST /v1/get_campaign_pdf_analysis
openapi: 3.0.0
info:
  title: API DOCUMENTATION
  description: >-


    [Campaign Cleaner](https://campaigncleaner.com) is the leader in ensuring
    that your campaigns don't affect your IP and Domain reputation, it's the
    most advanced toolset you'll find that gives you all the tools you need to
    keep your campaigns within acceptable ratios of many email and spam
    filtering software and automatically fixes your HTML by sanitizing all
    non-email friendly attributes and inlines all your CSS to be compatible with
    every email client.


    We offer a robust collection of API's to allow you to integrate its
    functionality into your email marketing software and tools.


    The **{{api_key}}** is located in your account on [Campaign
    Cleaner](https://campaigncleaner.com) under **API Management API Keys.**


    Use the navigation on the left to access the different API Endpoints.
  version: 1.0.0
servers:
  - url: https://api.campaigncleaner.com
security: []
paths:
  /v1/get_campaign_pdf_analysis:
    post:
      tags:
        - Campaign Cleaner
      summary: Get Campaign PDF Analysis
      description: >-
        The **get_campaign_pdf_analysis** API allows you to retrieve the
        analysis report for any of your Saved Campaigns in Campaign Cleaner.

        #### Header:

        **X-CC-API-Key**: Your API Key

        #### Request Body:

        **campaign**:

        - **id**: The campaign id that will be used in other API calls.

        #### Response:

        An Application/pdf stream.
      parameters:
        - name: X-CC-API-Key
          in: header
          schema:
            type: string
          example: '{{api_key}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                campaign:
                  type: object
                  properties:
                    id:
                      type: string
              example:
                campaign:
                  id: '{{campaign_id}}'
      responses:
        '200':
          description: Returns the file in the PDF format
          content:
            application/pdf:
              schema:
                type: string
                format: binary
              example: PDF File Download

````